Bug 819122 - [abrt] inkscape-0.48.1-9.fc16: Process /usr/bin/inkscape was killed by signal 11 (SIGSEGV)
[abrt] inkscape-0.48.1-9.fc16: Process /usr/bin/inkscape was killed by signal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:dc425e424be602ef389a9e06b39...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 18:40 EDT by Vilhjálmur Magnússon
Modified: 2013-02-13 11:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:04:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (10.70 KB, text/plain)
2012-05-04 18:40 EDT, Vilhjálmur Magnússon
no flags Details
File: build_ids (4.48 KB, text/plain)
2012-05-04 18:40 EDT, Vilhjálmur Magnússon
no flags Details
File: maps (69.35 KB, text/plain)
2012-05-04 18:40 EDT, Vilhjálmur Magnússon
no flags Details
File: backtrace (36.38 KB, text/plain)
2012-05-04 18:40 EDT, Vilhjálmur Magnússon
no flags Details

  None (edit)
Description Vilhjálmur Magnússon 2012-05-04 18:40:38 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/inkscape
comment:        Working with gradients in Inkscape
crash_function: sp_gradient_fork_vector_if_necessary
executable:     /usr/bin/inkscape
kernel:         3.3.4-1.fc16.x86_64
pid:            10065
pwd:            /home/superman/Documents
reason:         Process /usr/bin/inkscape was killed by signal 11 (SIGSEGV)
time:           Fri 04 May 2012 10:32:42 PM GMT
uid:            1000
username:       superman

backtrace:      Text file, 37254 bytes
build_ids:      Text file, 4592 bytes
dso_list:       Text file, 10957 bytes
maps:           Text file, 71013 bytes

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=2091
:XDG_SESSION_ID=1
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=superdora
:rvm_bin_path=/home/superman/.rvm/bin
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GEM_HOME=/home/superman/.rvm/gems/ruby-1.9.3-p0
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=3cdc7dc454ff332037ca51500000000a-1336129544.955593-1884498819
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/superman/.gtkrc-2.0:/home/superman/.gtkrc-2.0-kde4:/home/superman/.kde/share/config/gtkrc-2.0
:IRBRC=/home/superman/.rvm/rubies/ruby-1.9.3-p0/.irbrc
:GS_LIB=
:GNOME_KEYRING_CONTROL=/tmp/keyring-nSth1g
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:MY_RUBY_HOME=/home/superman/.rvm/rubies/ruby-1.9.3-p0
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=superman
:XCURSOR_SIZE=0
:__array_start=0
:rvm_path=/home/superman/.rvm
:SSH_AUTH_SOCK=/tmp/ssh-TIhgSPnx1941/agent.1941
:escape_flag=1
:rvm_prefix=/home/superman
:DESKTOP_SESSION=kde-plasma
:PATH=/home/superman/.rvm/gems/ruby-1.9.3-p0/bin:/home/superman/.rvm/gems/ruby-1.9.3-p0@global/bin:/home/superman/.rvm/rubies/ruby-1.9.3-p0/bin:/home/superman/.rvm/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/superman/.rvm/bin:/home/superman/.local/bin:/home/superman/bin
:MAIL=/var/spool/mail/superman
:QT_IM_MODULE=xim
:PWD=/home/superman
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=1939
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:_second=1
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:'rvm_version=1.12.3 (stable)'
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/superman
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=Adwaita
:LOGNAME=superman
:_first=0
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Yir1dn9v1J,guid=76cfe2ba6372dcf5fcaa27150000003e
:GEM_PATH=/home/superman/.rvm/gems/ruby-1.9.3-p0:/home/superman/.rvm/gems/ruby-1.9.3-p0@global
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/superman
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/superman/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:RUBY_VERSION=ruby-1.9.3-p0
:XAUTHORITY=/tmp/kde-superman/xauth-1000-_0
:CCACHE_HASHDIR=
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2291,unix/unix:/tmp/.ICE-unix/2291
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/superman/.gtkrc:/home/superman/.kde/share/config/gtkrc
:DESKTOP_STARTUP_ID=superdora;1336170501;267629;2306_TIME41018547

smolt_data:
:
:
:General
:=================================
:UUID: 1a0b01e2-7fb6-4d6f-bb55-ade50536fb7c
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5054.62
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 460  @ 2.53GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2534
:System Memory: 5833
:System Swap: 7871
:Vendor: Acer
:System: Aspire 5820TG V1.19
:Form factor: Notebook
:Kernel: 3.3.4-1.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:68:4133:861) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4133:861) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:15152:4133:861) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:4133:861) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:4133:861) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4133:861) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(6505:4211:4133:861) pci, atl1c, ETHERNET, AR8151 v1.0 Gigabit Ethernet
:(32902:15164:4133:861) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4133:861) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4133:861) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:11521:4133:861) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11362:4133:861) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(5348:17239:4187:57377) pci, wl, NETWORK, BCM43225 802.11b/g/n
:(32902:15170:4133:861) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15190:4133:861) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4133:861) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(4098:43616:4133:860) pci, snd_hda_intel, MULTIMEDIA, Redwood HDMI Audio [Radeon HD 5600 Series]
:(4098:26817:4133:860) pci, fglrx_pci, VIDEO, Madison [AMD Radeon HD 5000M Series]
:(32902:15180:4133:861) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:11537:4133:861) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11536:4133:861) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11539:4133:861) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11538:4133:861) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_superdora-lv_root / ext4 4096 4096 13092026 6427302 6296280 3276800 2643215 2643215
:/dev/sda1 /boot ext4 1024 1024 508745 408245 382645 128016 127737 127737
:/dev/mapper/vg_superdora-lv_home /home ext4 4096 4096 81107093 29896511 25836556 20299776 19668953 19668953
:

var_log_messages:
:May  4 22:32:42 superdora kernel: [41264.697399] inkscape[10065]: segfault at 20 ip 0000000000aefd9a sp 00007fffe20ae1a0 error 4 in inkscape[400000+c38000]
:May  4 22:32:45 superdora abrt[10086]: Saved core dump of pid 10065 (/usr/bin/inkscape) to /var/spool/abrt/ccpp-2012-05-04-22:32:42-10065 (150884352 bytes)

xsession_errors:
:(inkscape:6036): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/superman/Documents/Inkscape-projects/Thorvaldsdottir_website/logoThorvaldsdottir_moon_final_WhiteOnTransparent.svg': Error stating file '/home/superman/Documents/Inkscape-projects/Thorvaldsdottir_website/logoThorvaldsdottir_moon_final_WhiteOnTransparent.svg': No such file or directory
:(inkscape:9220): Gtk-CRITICAL **: IA__gtk_widget_get_visible: assertion `GTK_IS_WIDGET (widget)' failed
:(inkscape:9220): Gtk-CRITICAL **: IA__gtk_widget_get_visible: assertion `GTK_IS_WIDGET (widget)' failed
:(inkscape:9220): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/superman/Documents/Inkscape-projects/Thorvaldsdottir_website/banner01.png': Error stating file '/home/superman/Documents/Inkscape-projects/Thorvaldsdottir_website/banner01.png': No such file or directory
:(inkscape:9220): Gtk-CRITICAL **: IA__gtk_widget_get_visible: assertion `GTK_IS_WIDGET (widget)' failed
:(inkscape:9220): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/superman/Documents/Inkscape-projects/Thorvaldsdottir_website/banner.svg': Error stating file '/home/superman/Documents/Inkscape-projects/Thorvaldsdottir_website/banner.svg': No such file or directory
:** (inkscape:9220): CRITICAL **: void sp_ctrlpoint_set_color(SPCtrlPoint*, guint32): assertion `SP_IS_CTRLPOINT (cp)' failed
:** (inkscape:9220): CRITICAL **: void sp_ctrlpoint_set_color(SPCtrlPoint*, guint32): assertion `SP_IS_CTRLPOINT (cp)' failed
:(inkscape:10065): Gtk-CRITICAL **: IA__gtk_widget_get_visible: assertion `GTK_IS_WIDGET (widget)' failed
:** (inkscape:10065): CRITICAL **: SPGradient* chase_hrefs(SPGradient*, bool (*)(const SPGradient*)): assertion `SP_IS_GRADIENT(src)' failed
:If you can reproduce this crash, please file a bug at www.inkscape.org
:(inkscape:10112): Gtk-CRITICAL **: IA__gtk_widget_get_visible: assertion `GTK_IS_WIDGET (widget)' failed
Comment 1 Vilhjálmur Magnússon 2012-05-04 18:40:43 EDT
Created attachment 582225 [details]
File: dso_list
Comment 2 Vilhjálmur Magnússon 2012-05-04 18:40:44 EDT
Created attachment 582226 [details]
File: build_ids
Comment 3 Vilhjálmur Magnússon 2012-05-04 18:40:46 EDT
Created attachment 582227 [details]
File: maps
Comment 4 Vilhjálmur Magnússon 2012-05-04 18:40:51 EDT
Created attachment 582228 [details]
File: backtrace
Comment 5 Fedora Admin XMLRPC Client 2012-10-03 13:39:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2013-01-16 09:50:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 11:04:29 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.